Bug 22953 - New implementation causes errors
New implementation causes errors
Status: CLOSED FIXED
Product: qa
Classification: Unclassified
Component: Code
3.x
Sun Solaris
: P1 (vote)
: TBD
Assigned To: issues@qa
issues@qa
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-30 09:02 UTC by Jiri Skrivanek
Modified: 2011-02-17 09:32 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Skrivanek 2002-04-30 09:02:03 UTC
There is a problem with new drivers
implementation.

a) Robot mode is used without request

Try following code:

        JFrameOperator frame = new
JFrameOperator("Explorer [");
        JTreeOperator tree = new
JTreeOperator(frame);
        
        tree.clickMouse();
       
JPopupMenuOperator.callPopup(tree.getSource());

tree.clickMouse() uses MouseEventDriver but
callPopup() uses MouseRobotDriver. Above call
popup construction is used in
JTreeOperator.callPopupOnPaths().

2) NPE from visualizer.scroll()

Try following code:

        ComponentOperator co = new
ComponentOperator(tree.getSource());
        MouseVisualizer mv = new
MouseVisualizer();
        mv.scroll(true);
        mv.makeVisible(co);

NullPointerException is thrown from scroll()
method.
Comment 1 Alexandre Iline 2002-05-02 10:32:37 UTC
Fixed in 2.0.alpha
Comment 2 Jiri Skrivanek 2002-05-02 12:38:29 UTC
Second test case (scroll) still failing.
Comment 3 Jiri Skrivanek 2002-05-13 11:57:13 UTC
Fixed by Alexandre Iline already.
Comment 4 Jiri Skrivanek 2002-05-13 11:58:46 UTC
Verified & Closed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo